var gdpData = require("../models/gdpData.js");

module.exports.init = function(app) {
  /*
   * Example URLS:  http://localhost:50000/gdp/
   *                http://localhost:50000/gdp/Brazil
   */
  app.get('/gdp', doAllCountries);
  app.get('/gdp/:country', doOneCountry);
}

// Use the allCountries view template
doAllCountries = function(req, res){
	var message = '2015 GDP/Capita (PPP) By Country';
  res.render('allCountries', {  'title': message,
                                'allGDPset': gdpData });
};

// Use the singleCountry view template
doOneCountry = function(req, res){
  var country = req.params.country;
  var message = '2015 GDP/Capita (PPP) for '+country;
  res.render('oneCountry', {  'title': message,
                              'countryGDPdata': gdpData[country] });
};


