var messages = require("../models/messages.js");

module.exports.init = function(app) {
  /*
   * And URLs can of course have query strings, as we saw in earlier classes
   * Eg URL: 
   *     http://localhost:50000/sayto/Fred?message=%22have%20a%20nice%20day%22
   */
  app.get('/sayto/:firstname', sayto);
}

// Example of passing an array to the view
sayto = function(req, res){
  var message = {say: req.query.message, to: req.params.firstname};
  messages.push(message);
  res.render('deliverMessages', {'title': 'sayto', 'messages': messages});
};